Deploy Task (Legacy)
curl --request POST \
--url https://api.anchorbrowser.io/v1/task/{taskId}/deploy \
--header 'Content-Type: application/json' \
--header 'anchor-api-key: <api-key>' \
--data '{}'import requests
url = "https://api.anchorbrowser.io/v1/task/{taskId}/deploy"
payload = {}
headers = {
"anchor-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'anchor-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.anchorbrowser.io/v1/task/{taskId}/deploy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"taskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": "<string>",
"code": "<string>",
"deleted": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"language": "typescript",
"description": "<string>",
"browserConfiguration": {
"initial_url": "<string>",
"tags": [
"production",
"scraping",
"customer-123"
],
"recording": {
"active": true
},
"proxy": {
"active": true,
"type": "anchor_proxy",
"country_code": "us",
"region": "<string>",
"city": "<string>"
},
"timeout": {
"max_duration": 123,
"idle_timeout": 123
},
"live_view": {
"read_only": true,
"one_time_url": true
}
}
}
}{
"error": {
"code": 123,
"message": "<string>"
}
}{
"error": {
"code": 123,
"message": "<string>"
}
}Tasks (Legacy)
Deploy Task (Legacy)
Deploys a task by creating a new version with auto-incremented version number. This is the recommended way to publish task changes.
If you are using the new Task Builder, see the non-deprecated Tasks endpoints in this API reference.
POST
/
v1
/
task
/
{taskId}
/
deploy
Deploy Task (Legacy)
Authorizations
API key passed in the header
Path Parameters
The ID of the task
Body
application/json
Base64 encoded task code (required for new versions)
Minimum string length:
1Pattern:
^[A-Za-z0-9+/]*={0,2}$Programming language for the task
Available options:
typescript Optional description of the version
Maximum string length:
1000Browser configuration for task execution
Show child attributes
Show child attributes
Response
Task deployed successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I

